"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const json_parser_1 = __importDefault(require("./json-parser"));
const app = express_1.default();
let port = 8080;
let myArgs = process.argv.slice(2);
console.log("myArgs: ", myArgs);
if (myArgs[0] === "-p") {
    port = parseInt(myArgs[1]);
}
let jp = new json_parser_1.default();
let routes = jp.getRoutes();
if (routes) {
    let getKeys = routes.get.routes;
    let postKeys = routes.post.routes;
    for (let i = 0; i < getKeys.length; i++) {
        app.get(getKeys[i].route, (req, res) => {
            console.log(`GET : ${req.url} was called`);
            let bodyData = jp.getData();
            res.send(bodyData === null || bodyData === void 0 ? void 0 : bodyData[`${getKeys[i].key}`]);
        });
    }
    for (let i = 0; i < postKeys.length; i++) {
        app.post(postKeys[i].route, (req, res) => {
            console.log(`POST : ${req.url} was called`);
            let bodyData = jp.getData();
            res.send(bodyData === null || bodyData === void 0 ? void 0 : bodyData[`${postKeys[i].key}`]);
        });
    }
}
app.listen(port, () => {
    console.log(`Example app listening at http://localhost:${port}`);
});
//# sourceMappingURL=app.js.map