"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
class JsonParser {
    constructor() {
        this.dataFullPath = "./data.json";
        this.routesFullPath = "./routes.json";
    }
    getData() {
        if (fs_1.default.existsSync(this.dataFullPath)) {
            let dataStr = fs_1.default.readFileSync(this.dataFullPath);
            try {
                let parsedData = JSON.parse(dataStr.toString());
                return parsedData;
            }
            catch (error) {
                console.error(error);
            }
        }
        console.log(`${this.dataFullPath}를 확인해주세요`);
        return null;
    }
    getRoutes() {
        if (fs_1.default.existsSync(this.routesFullPath)) {
            let dataStr = fs_1.default.readFileSync(this.routesFullPath);
            try {
                let parsedRoutes = JSON.parse(dataStr.toString());
                return parsedRoutes;
            }
            catch (error) {
                console.error(error);
            }
        }
        console.log(`${this.routesFullPath}를 확인해주세요`);
        return null;
    }
}
exports.default = JsonParser;
//# sourceMappingURL=json-parser.js.map